Activity log for bug #1759715

Date Who What changed Old value New value Message
2018-03-28 23:20:26 Jeremy Bicha bug added bug
2018-03-28 23:20:40 Jeremy Bicha bug added subscriber Ubuntu Package Archive Administrators
2018-03-28 23:23:24 Jeremy Bicha description Summary ------- The steam package is too complicated to maintain well in Ubuntu. It would actually be better for our users if they would just use either the Flatpak, the Snap (not in the Snap Store yet but soon!), or even the steampowered .deb that Valve supports. Please remove steam and add it to the sync blacklist so that it won't be automatically re-added to Ubuntu. Details ------- 1. If a user happens to install Steam from the prominent link at http://store.steampowered.com/ and already has distro steam packages installed, it will break as the steampowered packages ship the same files as the distro packages but without setting up the proper breaks relationships. This is a complicated problem to solve as Steam wants to have a single .deb file and the Debian maintainer prefers to split the package into separate binary packages and doesn't care about what Steam does on their website. 2. steam is a 32-bit app only but nearly all Ubuntu 18.04 users will be 64-bit. This doesn't work well with the Ubuntu/GNOME Software app (LP: #1718453). I had to add an arch:all "installer" package (with AppStream metadata) that depends on the 32-bit package in order for Steam to be installable on Ubuntu 17.04 and 17.10. But the workaround has problems. The Ubuntu/GNOME Software app does not uninstall unused dependencies so uninstalling Steam won't actually uninstall Steam (LP: #1741047). 3. Apparently, appstream has gotten stricter about app icons so the steam-installer package I added will need to include its own app icons instead of relying on the icons shipped in the steam package. This is fixable, but it's a pain and no one has done it yet (LP: #1754852) 4. Steam is available via Flatpak now on Flathub. https://beta.flathub.org/apps/details/com.valvesoftware.Steam 5. Steam will be available in the Snap Store based on the hard work of Ikey Doherty from Solus. (Unfortunately, I don't think snap will be ready to support this app before 18.04 LTS's release but hopefully it will happen soon after that.) 6. As a proprietary closed-source app with strict library dependencies, arguably Snap or Flatpak are a better place for Steam anyway. Summary ------- The steam package is too complicated to maintain well in Ubuntu. It would actually be better for our users if they would just use either the Flatpak, the Snap (not in the Snap Store yet but soon!), or even the steampowered .deb that Valve supports. Please remove steam and add it to the sync blacklist so that it won't be automatically re-added to Ubuntu. Details ------- 1. If a user happens to install Steam from the prominent link at http://store.steampowered.com/ and already has distro steam packages installed, it will break as the steampowered packages ship the same files as the distro packages but without setting up the proper breaks relationships. This is a complicated problem to solve as Steam wants to have a single .deb file and the Debian maintainer prefers to split the package into separate binary packages and doesn't care about what Steam does on their website. 2. steam is a 32-bit app only but nearly all Ubuntu 18.04 users will be 64-bit. This doesn't work well with the Ubuntu/GNOME Software app (LP: #1718453). I had to add an arch:all "installer" package (with AppStream metadata) that depends on the 32-bit package in order for Steam to be installable on Ubuntu 17.04 and 17.10 (LP: #1564570). But the workaround has problems. The Ubuntu/GNOME Software app does not uninstall unused dependencies so uninstalling Steam won't actually uninstall Steam (LP: #1741047). 3. Apparently, appstream has gotten stricter about app icons so the steam-installer package I added will need to include its own app icons instead of relying on the icons shipped in the steam package. This is fixable, but it's a pain and no one has done it yet (LP: #1754852) 4. Steam is available via Flatpak now on Flathub. https://beta.flathub.org/apps/details/com.valvesoftware.Steam 5. Steam will be available in the Snap Store based on the hard work of Ikey Doherty from Solus. (Unfortunately, I don't think snap will be ready to support this app before 18.04 LTS's release but hopefully it will happen soon after that.) 6. As a proprietary closed-source app with strict library dependencies, arguably Snap or Flatpak are a better place for Steam anyway.
2018-03-29 01:13:23 Jeremy Bicha description Summary ------- The steam package is too complicated to maintain well in Ubuntu. It would actually be better for our users if they would just use either the Flatpak, the Snap (not in the Snap Store yet but soon!), or even the steampowered .deb that Valve supports. Please remove steam and add it to the sync blacklist so that it won't be automatically re-added to Ubuntu. Details ------- 1. If a user happens to install Steam from the prominent link at http://store.steampowered.com/ and already has distro steam packages installed, it will break as the steampowered packages ship the same files as the distro packages but without setting up the proper breaks relationships. This is a complicated problem to solve as Steam wants to have a single .deb file and the Debian maintainer prefers to split the package into separate binary packages and doesn't care about what Steam does on their website. 2. steam is a 32-bit app only but nearly all Ubuntu 18.04 users will be 64-bit. This doesn't work well with the Ubuntu/GNOME Software app (LP: #1718453). I had to add an arch:all "installer" package (with AppStream metadata) that depends on the 32-bit package in order for Steam to be installable on Ubuntu 17.04 and 17.10 (LP: #1564570). But the workaround has problems. The Ubuntu/GNOME Software app does not uninstall unused dependencies so uninstalling Steam won't actually uninstall Steam (LP: #1741047). 3. Apparently, appstream has gotten stricter about app icons so the steam-installer package I added will need to include its own app icons instead of relying on the icons shipped in the steam package. This is fixable, but it's a pain and no one has done it yet (LP: #1754852) 4. Steam is available via Flatpak now on Flathub. https://beta.flathub.org/apps/details/com.valvesoftware.Steam 5. Steam will be available in the Snap Store based on the hard work of Ikey Doherty from Solus. (Unfortunately, I don't think snap will be ready to support this app before 18.04 LTS's release but hopefully it will happen soon after that.) 6. As a proprietary closed-source app with strict library dependencies, arguably Snap or Flatpak are a better place for Steam anyway. Summary ------- The steam package is too complicated to maintain well in Ubuntu. It would actually be better for our users if they would just use either the Flatpak, the Snap (not in the Snap Store yet but soon!), or even the steampowered .deb that Valve supports. Please remove steam and add it to the sync blacklist so that it won't be automatically re-added to Ubuntu. Details ------- 1. If a user happens to install Steam from the prominent link at http://store.steampowered.com/ and already has distro steam packages installed, it will break as the steampowered packages ship the same files as the distro packages but without setting up the proper breaks relationships. This is a complicated problem to solve as Steam wants to have a single .deb file and the Debian maintainer prefers to split the package into separate binary packages and doesn't care about what Steam does on their website. 2. steam is a 32-bit app only but nearly all Ubuntu 18.04 users will be 64-bit. This doesn't work well with the Ubuntu/GNOME Software app (LP: #1718453). I had to add an arch:all "installer" package (with AppStream metadata) that depends on the 32-bit package in order for Steam to be installable on Ubuntu 17.04 and 17.10 (LP: #1564570). But the workaround has problems. The Ubuntu/GNOME Software app does not uninstall unused dependencies so uninstalling Steam won't actually uninstall Steam (LP: #1741047). 3. Apparently, appstream has gotten stricter about app icons so the steam-installer package I added will need to include its own app icons instead of relying on the icons shipped in the steam package. This is fixable, but it's a pain and no one has done it yet (LP: #1754852) 4. Steam is available via Flatpak now on Flathub. https://beta.flathub.org/apps/details/com.valvesoftware.Steam 5. A Steam Snap is being worked on. See below. 6. As a proprietary closed-source app with strict library dependencies, arguably Snap or Flatpak are a better place for Steam anyway. Snap Status ----------- Currently requires --edge and --devmode so it won't show up in the Ubuntu/GNOME Software app yet. Probably won't be there in time for the release of Ubuntu 18.04 LTS. https://github.com/solus-project/linux-steam-integration
2018-04-03 19:26:42 Launchpad Janitor steam (Ubuntu): status New Confirmed
2018-04-03 19:26:55 fossfreedom steam (Ubuntu): status Confirmed New
2018-04-12 17:14:31 AsciiWolf bug added subscriber AsciiWolf
2018-10-15 13:40:03 Jeremy Bicha description Summary ------- The steam package is too complicated to maintain well in Ubuntu. It would actually be better for our users if they would just use either the Flatpak, the Snap (not in the Snap Store yet but soon!), or even the steampowered .deb that Valve supports. Please remove steam and add it to the sync blacklist so that it won't be automatically re-added to Ubuntu. Details ------- 1. If a user happens to install Steam from the prominent link at http://store.steampowered.com/ and already has distro steam packages installed, it will break as the steampowered packages ship the same files as the distro packages but without setting up the proper breaks relationships. This is a complicated problem to solve as Steam wants to have a single .deb file and the Debian maintainer prefers to split the package into separate binary packages and doesn't care about what Steam does on their website. 2. steam is a 32-bit app only but nearly all Ubuntu 18.04 users will be 64-bit. This doesn't work well with the Ubuntu/GNOME Software app (LP: #1718453). I had to add an arch:all "installer" package (with AppStream metadata) that depends on the 32-bit package in order for Steam to be installable on Ubuntu 17.04 and 17.10 (LP: #1564570). But the workaround has problems. The Ubuntu/GNOME Software app does not uninstall unused dependencies so uninstalling Steam won't actually uninstall Steam (LP: #1741047). 3. Apparently, appstream has gotten stricter about app icons so the steam-installer package I added will need to include its own app icons instead of relying on the icons shipped in the steam package. This is fixable, but it's a pain and no one has done it yet (LP: #1754852) 4. Steam is available via Flatpak now on Flathub. https://beta.flathub.org/apps/details/com.valvesoftware.Steam 5. A Steam Snap is being worked on. See below. 6. As a proprietary closed-source app with strict library dependencies, arguably Snap or Flatpak are a better place for Steam anyway. Snap Status ----------- Currently requires --edge and --devmode so it won't show up in the Ubuntu/GNOME Software app yet. Probably won't be there in time for the release of Ubuntu 18.04 LTS. https://github.com/solus-project/linux-steam-integration Summary ------- The steam package is too complicated to maintain well in Ubuntu. It would actually be better for our users if they would just use either the Flatpak, the Snap (not in the Snap Store yet but soon!), or even the steampowered .deb that Valve supports. Please remove steam and add it to the sync blacklist so that it won't be automatically re-added to Ubuntu. Details ------- 1. If a user happens to install Steam from the prominent link at http://store.steampowered.com/ and already has distro steam packages installed, it will break as the steampowered packages ship the same files as the distro packages but without setting up the proper breaks relationships. This is a complicated problem to solve as Steam wants to have a single .deb file and the Debian maintainer prefers to split the package into separate binary packages and doesn't care about what Steam does on their website. 2. steam is a 32-bit app only but nearly all Ubuntu 18.04 users will be 64-bit. This doesn't work well with the Ubuntu/GNOME Software app (LP: #1718453). I had to add an arch:all "installer" package (with AppStream metadata) that depends on the 32-bit package in order for Steam to be installable on Ubuntu 17.04 and 17.10 (LP: #1564570). But the workaround has problems. The Ubuntu/GNOME Software app does not uninstall unused dependencies so uninstalling Steam won't actually uninstall Steam (LP: #1741047). 3. Apparently, appstream has gotten stricter about app icons so the steam-installer package I added will need to include its own app icons instead of relying on the icons shipped in the steam package. This is fixable, but it's a pain and no one has done it yet (LP: #1754852) 4. Steam is available via Flatpak now on Flathub. https://beta.flathub.org/apps/details/com.valvesoftware.Steam 5. A Steam Snap is being worked on. See below. 6. As a proprietary closed-source app with strict library dependencies, arguably Snap or Flatpak are a better place for Steam anyway. Snap Status ----------- Currently requires --edge and --devmode so it won't show up in the Ubuntu/GNOME Software app yet. Probably won't be there in time for the release of Ubuntu 18.04 LTS. https://github.com/solus-project/linux-steam-integration Flatpak ------- https://flathub.org/apps/details/com.valvesoftware.Steam
2019-05-17 09:27:40 Dimitri John Ledkov steam (Ubuntu): status New Confirmed
2019-05-17 09:27:49 Dimitri John Ledkov steam (Ubuntu): milestone ubuntu-19.08
2019-06-20 19:56:33 Steve Langasek steam (Ubuntu): status Confirmed Triaged